<div>
    <h2 id="page-heading">
        <span jhiTranslate="bikeBackendApp.sale.home.title">Sales</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-sale" [routerLink]="['/sale/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="bikeBackendApp.sale.home.createLabel">
            Create a new Sale
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="sales?.length === 0">
        <span jhiTranslate="bikeBackendApp.sale.home.notFound">No sales found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="sales && sales.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="dateSale"><span jhiTranslate="bikeBackendApp.sale.dateSale">Date Sale</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bikeModel"><span jhiTranslate="bikeBackendApp.sale.bike">Bike</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="clientFirstName"><span jhiTranslate="bikeBackendApp.sale.client">Client</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let sale of sales ;trackBy: trackId">
                    <td><a [routerLink]="['/sale', sale.id, 'view']">{{ sale.id }}</a></td>
                    <td>{{ sale.dateSale | date:'medium' }}</td>
                    <td>
                        <div *ngIf="sale.bikeId">
                            <a [routerLink]="['/bike', sale.bikeId , 'view']" >{{ sale.bikeModel }}</a>
                        </div>
                    </td>
                    <td>
                        {{ sale.clientFirstName }}
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/sale', sale.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/sale', sale.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(sale)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="sales && sales.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
